Add Payout Account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint to add an account on Vendy to make payouts into. You can add several payout accounts. When you initiate a payout, you choose which one to pay into.

Request:

FieldTypeDescription
businessIdIntegerIgnored when you use API keys. See Authentication
accountnumberString(Digits)Bank account number
banknameStringBank name of payout account from the list of supported banks
beneficiarynameStringName of beneficiary tied to bank account; can be retrieved from validate bank account endpoint
beneficiarycountryStringCountry name or ISO code, for example ng. Required
bankcodeString(Digits)Bank code from the list of supported banks. Required
typeEnum(String)bank or mobile (mobile money wallet). Defaults to mobile, so send bank for bank accounts

Example request

curl --location 'https://api.myvendy.com/payout-account' \
--header 'Content-Type: application/json' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY" \
--data '{
    "businessId": 1,
    "accountnumber": "0123456789", 
    "bankname": "GUARANTY TRUST BANK", 
    "beneficiaryname": "ADA OKAFOR",
    "beneficiarycountry": "ng",
    "bankcode":"000013",
    "type": "bank"
}'

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataPayout AccountPayout account details

Example response

{
  "status": true,
  "code": 200,
  "msg": "Bank",
  "error": "Bank",
  "data": {
    "id": 3,
    "uid": 1,
    "businessId": 3,
    "defaultBank": 0,
    "accountnumber": "0123456789",
    "maskedaccountnumber": "*****456789",
    "bankname": "GUARANTY TRUST BANK",
    "beneficiaryname": "Test User",
    "beneficiarycountry": "NG",
    "type": "bank",
    "email": null,
    "createdAt": "2022-09-19T17:16:28.000Z",
    "updatedAt": "2022-09-19T17:16:28.000Z"
  }
}
Body Params
string
required
Defaults to 0123456789
string
required
Defaults to GUARANTY TRUST BANK
string
required
Defaults to ADA OKAFOR
string
required
Defaults to ng

Country name or ISO code, for example ng.

string
enum
Defaults to mobile

bank or mobile (mobile money). Defaults to mobile.

Allowed:
string
Defaults to 1

Required when you call with a dashboard session token. With AccessKey/SecretKey it is ignored: the business comes from the key.

string
required
Defaults to 058

Bank code from List Banks.

boolean
Defaults to false
string
Defaults to NGN
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json